aboutsummaryrefslogtreecommitdiff
path: root/scripts/bump.sh
diff options
context:
space:
mode:
authorDaniel Gröber <dxld@darkboxed.org>2015-09-07 04:29:24 +0200
committerDaniel Gröber <dxld@darkboxed.org>2015-09-07 04:29:24 +0200
commit863e73713145e4cff8d26ac58e8d63c33e858f36 (patch)
treeef67275b89cd9c04b9b6e3a80a270a5898fbea31 /scripts/bump.sh
parent3f50a4df4fc951f8876cc38c093471451cee2b88 (diff)
Add release script
Diffstat (limited to 'scripts/bump.sh')
-rwxr-xr-xscripts/bump.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/scripts/bump.sh b/scripts/bump.sh
new file mode 100755
index 0000000..a5a2ba7
--- /dev/null
+++ b/scripts/bump.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+set -e
+
+if [ -z "$1" ]; then
+ echo "Usage: $0 VERSION" >&2
+ exit 1
+fi
+
+VERSION=$1
+
+if ! echo $VERSION | grep "^[0-9.]"; then
+ echo "invalid version";
+ exit 1
+fi
+
+cd $(dirname $0)/..
+
+sed -r -i 's/^(version:[[:space:]]*)[0-9.]+/\1'"$VERSION"'/' cabal-helper.cabal
+
+git add cabal-helper.cabal
+git commit -m "Bump version to $VERSION"
+
+git tag "v$VERSION"